Nachdem ich den 3. LUA Mechnismus entschlsselt habe, will ich es hier vorstellen:
Manchmal will man dem Spieler nicht eine Einheit triggern, sondern nur die Mglichkeit erffnen, erobertes Equipment zu kaufen.


-- Beispiel:
-- Wenn Spieler Hex {9,8} erobert, 20 Strkepunkte der Einheit 203mmM1931 als "captured" zuweisen
-- Spieler erhlt keine Einheit, sondern Strkepunkte unter "captured" zum Kauf oder Update
-- fr eigene Einheiten "prototypes" statt "captured" verwenden!

-- ntig im Editor unter Trigger:
-- Count: 0
-- Condition kann leer bleiben
-- Actions: CaptureFlagAction
-- Function: OnCaptureDepot

Depot = {{9,8}}	-- auch mehrere Depots mglich
string = "General, wir haben ein Lager mit Artillerie erobert."

-- In diese Tabelle werden alle eroberten Depots eingetragen, damit man den Bonus nur bei der 1. Eroberung erhllt
captured_depots = {}

function OnCaptureDepot(action)
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then    -- nur ausfhren, wenn Spieler (player0) Depot erobert
		if IsItemInTable(captured_depots, action.flag) then return end	    -- Abfrage ob Depot bereits erobert ist

		AddEquipment(0, "203mmM1931", 20, captured)	-- Spieler0 erhlt 20 Strkepunkte von 203mmM1931 als captured
											-- AddEquipment kann man hier auch mehrfach aufrufen
		TutorialMessage(string)					-- Nachricht an Spieler
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)	-- eigentliche Funktion um Equipment hinzuzufgen
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end

